<?php
ob_start();
/* ---------------------------------------------------------------------- */
/*	Latest Projects widget
/* ---------------------------------------------------------------------- */

if ( !function_exists('gb_framework_projects_feed') ) {
	function gb_framework_projects_feed( $project_count, $widget_id ) {
  
  
  global $post;
		
		$args = array('post_type'      => 'project',
					  'posts_per_page' => $project_count,
					  'order'          => 'DESC',
					  'orderby'        => 'date',
					  'post_status'    => 'publish'
				  );
		
			
		query_posts( $args );

		if( have_posts() ) :

			$output = '';

			while ( have_posts() ) : the_post();

				$image = get_post_meta($post->ID, 'isc_image1', true);
				$image_video = get_post_meta($post->ID, 'isc_image_video', true); 
				
				if(!empty($image) or !empty($image_video)) {
					  if(!empty($image)) { 
					      $finalImg = $image;  $finalLink = $image;
					  }else{
					      $finalImg = $image_video;
					  }
			  }else{
				    $finalImg = ''.get_template_directory_uri().'/img/no_img.jpg';
			  }
			  
			  $title_slide = get_post_field('post_title', $post->ID);
			  $permalink   = get_permalink( $post->ID );
			  
			  $terms = get_the_terms($post->id,"tagportifolio");
			   $project_categories_title = NULL;
			   $project_categories = NULL;
			   
			   $rt = 0;
			   if ( !empty($terms) ){
			     
			     foreach ( $terms as $term ) {
			       $rt++;
			       if($rt > 1){$separator = ',';} else{$separator = '';}
			       $project_categories .= strtolower($term->slug) . ' ';
			       $project_categories_title .= ''.$separator.' '.$term->name . '';
			     }
			   }
				
	  $output .= '<!-- Begin portfolio one -->
    <div class="latest-post">
    <a href="'.$permalink.'" title="'.$title_slide.'"><img src="'.$finalImg.'" alt="'.$title_slide.'" width="49" /></a> 
    <p><a href="'.$permalink.'" title="'.$title_slide.'">'.$title_slide.'</a></p>
    <span>'.$project_categories_title.'</span>
    </div>
    <div class="clearfix"></div>
		';	

			endwhile;

			wp_reset_query();

		endif;
  
  
  
		return $output;
	}
}



/* ---------------------------------------------------------------------- */
/*	Flickr Feed widget
/* ---------------------------------------------------------------------- */

if ( !function_exists('gb_framework_flickr_feed') ) {
	function gb_framework_flickr_feed( $flickr_id, $image_count, $widget_id ) {
		
	$images = '<script>
	$(document).ready(function(){
	$(\'#flickrfeed'.md5($widget_id).'\').jflickrfeed({
		limit: '.$image_count.',
		qstrings: {
			id: \''.$flickr_id.'\'
		},
		itemTemplate: \'<div class="flickr_image"><a href="{{image_b}}" title="{{title}}" target="_blank"><img src="{{image_s}}" alt="{{title}}" height="45" width="45"></a></div>\'
	});
  });	
  </script>';
		
		
		return '<div id="flickrfeed'.md5($widget_id).'">'.$images.'</div>';
	}
}







/* ---------------------------------------------------------------------- */
/*	Insert all custom CSS styles
/* ---------------------------------------------------------------------- */

if ( !function_exists('gb_framework_insert_custom_styles') ) {
	function gb_framework_insert_custom_styles() {

    $checkOpt        = get_option('jedkey');
    
		$color1          = $checkOpt['is_color1'];
		$color2          = $checkOpt['is_color2'];
		$infoBar         = $checkOpt['is_color_info'];
		$backgroundCall  = $checkOpt['is_color_call'];
		
		$backgroundBar   = $checkOpt['is_bar_background'];
		$colorBar        = $checkOpt['is_bar_color'];
		
		$menuStyle       = $checkOpt['is_menu_style'];
		$footerStyle     = $checkOpt['is_footer_style'];
		
		$site_back       = $checkOpt['is_color1_back'];
		
		$bodyFont    = 0;
		$headerFont  = 0;
		$slideFont   = 0;
		$footerFont  = 0;
		if($checkOpt['is_use_font'] == 1){
		    if($checkOpt['is_font_body'] != ''){
		        $bodyFont    = 1;
		    }
		    if($checkOpt['is_font_header'] != ''){
		        $headerFont    = 1;
		    }
		    if($checkOpt['is_font_slider'] != ''){
		        $slideFont    = 1;
		    }
		    if($checkOpt['is_font_footer'] != ''){
		        $footerFont    = 1;
		    }
		}

?>

<style>

<?php if($bodyFont == 1 or $headerFont == 1 or $slideFont == 1 or $footerFont == 1){ ?>
@import url("http://fonts.googleapis.com/css?family=<?php echo $checkOpt['is_font_body']; ?>|<?php echo $checkOpt['is_font_header']; ?>|<?php echo $checkOpt['is_font_slider']; ?>|<?php echo $checkOpt['is_font_footer']; ?>");
<?php } ?>





/* Main styles */
<?php if($bodyFont == 1){ 
$font_name1 = $checkOpt['is_font_body'];
$font_name1 = str_replace("+", " ", $font_name1);
$font_name1 = explode(":", $font_name1);
$font_name1 = $font_name1[0];
?>
body {
	font-family: '<?php echo $font_name1; ?>';
}
<?php } ?>


<?php if($headerFont == 1){ 
$font_name2 = $checkOpt['is_font_header'];
$font_name2 = str_replace("+", " ", $font_name2);
$font_name2 = explode(":", $font_name2);
$font_name2 = $font_name2[0];
?>
header {
	font-family: '<?php echo $font_name2; ?>';
}
<?php } ?>


<?php if($slideFont == 1){ 
$font_name3 = $checkOpt['is_font_slider'];
$font_name3 = str_replace("+", " ", $font_name3);
$font_name3 = explode(":", $font_name3);
$font_name3 = $font_name3[0];
?>
.slider-header, .slider-header ul, .slider-header ul li, div.slider-title, div.slider-title h2, .slider-header p, .slider-header .btnm, .slider-header .btnm span, #infobar2 {
	font-family: '<?php echo $font_name3; ?>';
}
<?php } ?>


<?php if($footerFont == 1){ 
$font_name4 = $checkOpt['is_font_footer'];
$font_name4 = str_replace("+", " ", $font_name4);
$font_name4 = explode(":", $font_name4);
$font_name4 = $font_name4[0];
?>
footer {
	font-family: '<?php echo $font_name4; ?>';
}
<?php } ?>



.p-back {background:<?php echo $color1; ?>;}
.s-back {background:<?php echo $color2; ?>;}
.p-color {color:<?php echo $color1; ?>;}
.s-color {color:<?php echo $color2; ?>;}
.p-border {border: 1px solid <?php echo $color1; ?>;}
.s-border {border: 1px solid <?php echo $color2; ?>;}
.p-border-top {border-top: 1px solid <?php echo $color1; ?>;}
.s-border-top {border-top: 1px solid <?php echo $color2; ?>;}
.p-border-bottom {border-bottom: 1px solid <?php echo $color1; ?>;}
.s-border-bottom {border-bottom: 1px solid <?php echo $color2; ?>;}
.p-border-left {border-left: 1px solid <?php echo $color1; ?>;}
.s-border-left {border-left: 1px solid <?php echo $color2; ?>;}
.p-border-right {border-right: 1px solid <?php echo $color1; ?>;}
.s-border-right {border-right: 1px solid <?php echo $color2; ?>;}
.p-border-top2 {border-top: 2px solid <?php echo $color1; ?>;}
.s-border-top2 {border-top: 2px solid <?php echo $color2; ?>;}
.p-border-bottom2 {border-bottom: 2px solid <?php echo $color1; ?>;}
.s-border-bottom2 {border-bottom: 2px solid <?php echo $color2; ?>;}
.p-border-left2 {border-left: 2px solid <?php echo $color1; ?>;}
.s-border-left2 {border-left: 2px solid <?php echo $color2; ?>;}
.p-border-right2 {border-right: 2px solid <?php echo $color1; ?>;}
.s-border-right2 {border-right: 2px solid <?php echo $color2; ?>;}

.menu-left, .menu-right {border-bottom:2px solid <?php echo $color1; ?>;}

.arrow-down {border-top: 15px solid <?php echo $color1; ?>;}
nav ul ul ul, nav ul ul {border-bottom:3px solid <?php echo $color1; ?>;}
nav ul li:hover > a {border-top:3px solid <?php echo $color1; ?>;}


.i_color:hover { border: 2px solid <?php echo $color1; ?>; }

.blog-last:hover .i-icon-blog, .services-p1:hover .i-icon-services, .social_div, .testimonial, .post-type {border: 1px solid <?php echo $color1; ?>;}
.services-4 {border-bottom: 1px solid <?php echo $color1; ?>;}

#infobar, #infobar2 {}
.menu-right, .button.blue, .button2.blue, .button.orange:hover, .button2.orange:hover, .services1-box li:hover .services1-more, .selected, .about-us1:hover, .feature-services-circle, input[type="submit"],  .mean-container .mean-nav, .bx-wrapper .bx-pager.bx-default-pager a, .slider-header .btnm:hover, .pricing .price-plan.most-popular, ul li.sale .onsale, .woocommerce span.onsale, .tagcloud a, .post-tags a, .da-thumbs li a div i { background: <?php echo $color1; ?>;}


.i_color, .icon-color, .services1-more, .services1-box li:hover .services1-icon, .services1-box li:hover .services1-title, .i-icon, .i-icon-blog, .i-icon-services, .i-icon-services-p3, .post-entry, .services-4:hover .services-4-icon, .widget li a:hover, .widget_nav_menu .current_page_item > a, .widget_nav_menu .current-menu-item > a, div.slider-title h2, .woocommerce .price ins, .woocommerce .amount, .post-type, nav ul li:hover > a {color: <?php echo $color1; ?>;}


/*color 2*/
.info-box {border-top: 2px solid <?php echo $color2; ?>;}
.i-icon-blog, .i-icon-services {border: 1px solid <?php echo $color2; ?>;}
.footer-up {background:<?php echo $color2; ?>; url(images/bg_noise.png);}
.services-4:hover {border-bottom: 1px solid <?php echo $color2; ?>;}
.button.blue:hover, .button2.blue:hover, .button.orange, .button2.orange, .skill_graph li span,  #filters a:hover, .selected:hover, .post-date, .bx-wrapper .bx-pager.bx-default-pager a:hover, .bx-wrapper .bx-pager.bx-default-pager a.active, .slider-header .btnm {background:<?php echo $color2; ?>;}

.i_color:hover, .services1-icon, .about-us1:hover .i-icon, .blog-last:hover .i-icon-blog, .services-p1:hover .i-icon-services, .services-4-icon {color:<?php echo $color2; ?>;}

.portfolio1 a.info, .portfolio3 a.info {color: <?php echo $color1; ?>; border:1px solid <?php echo $color1; ?>;}
.portfolio1 a.info:hover, .portfolio3 a.info:hover {color: #fff; background: <?php echo $color1; ?>;}


/*notification bar*/
.jquery-bar {background: <?php echo $backgroundBar; ?>; color:<?php echo $colorBar; ?>;}
.down, .font-style a {color:<?php echo $colorBar; ?>;}

/*info bar*/
#infobar {background:<?php echo $infoBar; ?>}


/*call action*/
.info-box {background:<?php echo $backgroundCall; ?>;}

a:hover {color: <?php echo $color1; ?>;}

<?php if($menuStyle != 2){ ?>
nav ul li a {margin-left:4px; }
nav ul li a:hover{background: #292a2c;}
nav ul ul {
border-top-left-radius: 0;
-moz-border-radius-topleft: 0px;
-webkit-border-top-left-radius: 0px;

margin: 1px 0 0 4px;
}
nav ul li:last-child a {padding-right:20px;}
nav ul li:hover>ul{ opacity: 1; position:absolute; background:#292a2c; top:99%; left:0;}
nav ul li:hover > a {background:#292a2c;}

nav ul ul li a {
	border-bottom:dotted 1px #000;
	        
}
nav ul ul ul li a {
	border-bottom:dotted 1px #000;
	        
}
nav ul ul li a:visited {color: #eee;}
nav ul ul li a {color:#eee;}
nav ul ul ul li a { color:#eee;}
nav ul ul li:hover > a {color: #fff;}
nav ul ul {
-webkit-box-shadow: 0 0px 0px #ccc;
	   -moz-box-shadow: 0 0px 0px #ccc;
	        box-shadow: 0 0px 0px #ccc; 
}
nav ul li:hover > a {color: #fff;}
<?php } ?>


<?php if($footerStyle != 2){ ?>
footer {
  background: #37383A;
  padding-top:0px;
  margin-top:0px;
  color:#BFBFBF;
}
#sub_footer {
  background: #292A2C;
}
footer h5 {
  margin-bottom:15px; margin-top:0px; color:#BFBFBF;
}
footer .latest-post span {color: #BFBFBF;}
footer .latest-post a {color: #BFBFBF;}
footer .widget_nav_menu .sub-menu { border-top: 1px dotted #353535; }
footer .widget li {border-bottom: 1px dotted #353535;}
footer .widget li a {color: #BFBFBF;}
footer .widget li a:hover, .widget_nav_menu .current_page_item > a, .widget_nav_menu .current-menu-item > a { color: #BFBFBF; }
footer .widget h5 {border-bottom: 1px solid #262626;}
footer .facebook, footer .twitter, footer .google, footer .linkedin, footer .pinterest {color:#353535;}
<?php } ?>



<?php
  if ( is_page_template('portfolio.php') ) { 
  $postIda = get_the_ID();
$portfolio_columns = 3;
$check_portfolio_columns = get_post_meta($postIda, 'isc_portfolio_columns', true);
if($check_portfolio_columns == 2){$portfolio_columns = 2;}
if($check_portfolio_columns == 3){$portfolio_columns = 3;}
if($check_portfolio_columns == 4){$portfolio_columns = 4;}

if($portfolio_columns == 2){
echo '.portfolio1p {margin: 23% auto 0 auto;}';
}

if($portfolio_columns == 4){
echo '.portfolio1p {margin: 10% auto 0 auto;}';
}
  ?>
  
  
  
<?php 
}
?>



<?php
  if ( is_page_template('homepage.php') ) {
  ?>
  
#site-menud {
  padding-top:0px; padding-bottom:0px;
  width:100%;
  background:#000;
  background:rgba(0,0,0,0.1);
  z-index:99999;
  
}

nav ul li a {border-top:3px solid transparent; color:#fff;}

<?php } ?>

</style>

<?php
}
	add_action('wp_head', 'gb_framework_insert_custom_styles');
}






/* ---------------------------------------------------------------------- */
/*	Insert all JavaScript Footer
/* ---------------------------------------------------------------------- */

if ( !function_exists('gb_framework_insert_javascript_footer') ) {
	function gb_framework_insert_javascript_footer() {

    $checkOpt = get_option('jedkey');
   
echo '<script src="'.get_template_directory_uri().'/js/custom.js"></script>
<script type="text/javascript">
			
</script>
<script src="'.get_template_directory_uri().'/js/bootstrap.js"></script>
<script src="'.get_template_directory_uri().'/plugins/bxslider/jquery.bxslider.min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
$(\'.blogslide\').bxSlider({
  infiniteLoop: false,
	hideControlOnEnd: true,
  pager: false,
  autoStart: true,
  auto: true,
  pause: 10000,
  speed: 500,
  captions: false
});
$(\'.contentslide\').bxSlider({
  infiniteLoop: true,
	hideControlOnEnd: false,
  pager: false,
  autoStart: true,
  auto: true,
  pause: 5000,
  speed: 500,
  captions: true,
  mode: \'fade\',
});
$(\'.imgslide\').bxSlider({
  infiniteLoop: false,
	hideControlOnEnd: true,
  pager: true,
  autoStart: false,
  auto: true,
  pause: 10000,
  speed: 500,
  captions: false,
  easing: null
});
$(\'#bxslidertest\').bxSlider({
  mode: \'vertical\',
  slideMargin: 3,
  auto:true,
  controls: false,
  pager: true
}); 
});            
</script>
';




if(!empty($checkOpt['is_bar_text'])) {

echo '<script src="'.get_template_directory_uri().'/js/jquery.cookie.js"></script>
<script>
    $(document).ready(function() {
     
    if ($.cookie(\'noShowBarHead\')) $(\'.jquery-bar\').hide();
    else {
        // jBar Script by Todd Motto
        $(\'.downbar\').delay(10).fadeIn(400).addClass(\'up\');
        $(\'.jquery-bar\').hide().delay(10).slideDown(10);
        //$.cookie(\'noShowWelcome\', true);  
        $(\'.jquery-arrow\').click(function(){
            $(\'.downbar\').toggleClass(\'up\', 400);          
            $(\'.jquery-bar\').slideToggle();
            $.cookie(\'noShowBarHead\', true); 
        }); 
    }    
});
</script>
';

} 


if ( is_page_template('homepage.php') ) {
echo '<script type="text/javascript" src="'.get_template_directory_uri().'/plugins/vegas/lib/js/jquery.cycle.all.js"></script>
<script type="text/javascript" src="'.get_template_directory_uri().'/plugins/vegas/lib/js/jquery.maximage.js"></script>
<script type="text/javascript" charset="utf-8">
			$(function(){
				$(\'#maximage\').maximage({
					cycleOptions: {
						fx: \'fade\',';
						if(!empty($checkOpt['is_slider_spedd'])) {
					echo 'speed: '.$checkOpt['is_slider_spedd'].',';
				}else{
				echo 'speed: 10000,'; 
				} 
						
						echo '
						timeout: 500,
						prev: \'#arrow_left\',
						next: \'#arrow_right\',
						pause: 0,
						before: function(last,current){
							if(!$.browser.msie){
								// Start HTML5 video when you arrive
								if($(current).find(\'video\').length > 0) $(current).find(\'video\')[0].play();
							}
						},
						after: function(last,current){
							if(!$.browser.msie){
								// Pauses HTML5 video when you leave it
								if($(last).find(\'video\').length > 0) $(last).find(\'video\')[0].pause();
							}
						}
					},
					onFirstImageLoaded: function(){
						jQuery(\'#cycle-loader\').hide();
						jQuery(\'#maximage\').fadeIn(\'fast\');
					}
				});
	
				// Helper function to Fill and Center the HTML5 Video
				jQuery(\'video,object\').maximage(\'maxcover\');
	
				// To show it is dynamic html text
				jQuery(\'.in-slide-content\').delay(1200).fadeIn();
			});
		</script>	
		
';
}


echo '<script src="'.get_template_directory_uri().'/plugins/colorbox/jquery.colorbox-min.js"></script>
<script>
			$(document).ready(function(){
				//Examples of how to assign the Colorbox event to elements
				$(".group1").colorbox({rel:\'group1\', transition:"fade"});
				$(".group2").colorbox({rel:\'group2\', transition:"fade"});
				$(".group3").colorbox({rel:\'group3\', transition:"fade"});
			});
</script>
';



echo '<!-- isotope JS file -->
<script src="'.get_template_directory_uri().'/js/jquery.isotope.min.js"></script>
';



echo '
<!-- Menu JS file -->
<!--[if !(IE 8)]><!-->
<script src="'.get_template_directory_uri().'/js/jquery.meanmenu.js"></script>
<script>
jQuery(document).ready(function () {
    jQuery(\'header nav\').meanmenu();
});
</script>
<!--<![endif]-->
';



echo '
<script>
		$(document).ready(function() {
    
    /* Every time the window is scrolled ... */
    $(window).scroll( function(){
    
        /* Check the location of each desired element */
        $(\'.animate-content\').each( function(i){
            
            var bottom_of_object = $(this).position().top + $(this).outerHeight();
            var bottom_of_window = $(window).scrollTop() + $(window).height();
            
            /* If the object is completely visible in the window, fade it it */
            if( bottom_of_window > bottom_of_object ){
                
                $(this).animate({\'opacity\':\'1\'},500);
                    
            }
            
        }); 
    
    });
    
});
	</script>
';


if ( is_page_template('homepage.php') ) {}
else{
if($checkOpt['is_fixed_menu'] == 1) {
echo '
<script type="text/javascript">
$(document).ready( function() {
    $(window).scroll( function() {
        if ($(window).scrollTop() > $(\'header\').offset().top)
            $(\'#site-menud\').addClass(\'floating\');
        else
            $(\'#site-menud\').removeClass(\'floating\');
    } );

} );
</script>
';
}
}





if($checkOpt['is_animate_content'] == 1) {
echo '
<script src="'.get_template_directory_uri().'/js/waypoints.min.js"></script>
<script src="'.get_template_directory_uri().'/js/animate.js"></script>
';
}


if($checkOpt['is_animate_content'] == 1) {
echo '
<!-- Preloader -->
<script type="text/javascript">
	//<![CDATA[
		$(window).load(function() { // makes sure the whole site is loaded
			$(\'#status\').fadeOut(); // will first fade out the loading animation
			$(\'#preloader\').delay(600).fadeOut(\'slow\'); // will fade out the white DIV that covers the website.
			$(\'body\').delay(600).css({\'overflow\':\'visible\'});
			
			
		})
	//]]>
</script> 
';
}


echo '
<script type="text/javascript" src="'.get_template_directory_uri().'/js/jquery.hoverdir.js"></script>	
		<script type="text/javascript">
			$(function() {
			
				$(\' .da-thumbs > li \').each( function() { $(this).hoverdir(); } );

			});
		</script>
';


}
	add_action('wp_footer', 'gb_framework_insert_javascript_footer');
}


?>