<?php

/* ---------------------------------------------------------------------- */
/*	Columns
/* ---------------------------------------------------------------------- */

	/* -------------------------------------------------- */
	/*	One half
	/* -------------------------------------------------- */

	function gb_framework_one_half_sc( $atts, $content = null ) {
		
		$output = '<div class="span6">'.do_shortcode($content).'</div>';
		
		return $output;
		
	}
	add_shortcode('one_half', 'gb_framework_one_half_sc');

	
	/* -------------------------------------------------- */
	/*	One third
	/* -------------------------------------------------- */

	function gb_framework_one_third_sc( $atts, $content = null ) {

		$output = '<div class="span4">'.do_shortcode($content).'</div>';
		
		return $output;

	}
	add_shortcode('one_third', 'gb_framework_one_third_sc');


	/* -------------------------------------------------- */
	/*	One fourth
	/* -------------------------------------------------- */

	function gb_framework_one_fourth_sc( $atts, $content = null ) {

		$output = '<div class="span3">'. do_shortcode($content).'</div>';
		
		return $output;

	}
	add_shortcode('one_fourth', 'gb_framework_one_fourth_sc');

	
	/* -------------------------------------------------- */
	/*	Two third
	/* -------------------------------------------------- */

	function gb_framework_two_sc( $atts, $content = null ) {

		$output = '<div class="span9 filler">'.do_shortcode($content).'</div>';
		return $output;

	}
	add_shortcode('two', 'gb_framework_two_sc');
	
	function gb_framework_third_sc( $atts, $content = null ) {

		$output = '<div class="span3">'.do_shortcode($content).'</div>';
		
		return $output;

	}
	add_shortcode('third', 'gb_framework_third_sc');
	
	
	// Single row
	function gb_framework_rowcolumns_sc( $atts, $content = null ) {
		
		$output = '<div class="row-fluid">'.do_shortcode($content).'</div>';
		
		return $output;
		
	}
	add_shortcode('row', 'gb_framework_rowcolumns_sc');

	

/* ---------------------------------------------------------------------- */
/*	Alert Boxes
/* ---------------------------------------------------------------------- */

	/* -------------------------------------------------- */
	/*	Error
	/* -------------------------------------------------- */

	function gb_framework_error_sc( $atts, $content = null ) {

		$output = '<div class="notification error">
		        <p>'.$content.'</p>
		        </div>';
		        
		return $output;

	}
	add_shortcode('error', 'gb_framework_error_sc');

	/* -------------------------------------------------- */
	/*	Success
	/* -------------------------------------------------- */

	function gb_framework_success_sc( $atts, $content = null ) {

		$output = '<div class="notification success">
		        <p>' . $content . '</p>
		        </div>';
		        
		return $output;

	}
	add_shortcode('success', 'gb_framework_success_sc');

	/* -------------------------------------------------- */
	/*	Warning
	/* -------------------------------------------------- */

	function gb_framework_info_sc( $atts, $content = null ) {

		$output = '<div class="notification warning">
		        <p>' . $content . '</p>
		        </div>';
		        
		return $output;

	}
	add_shortcode('warning', 'gb_framework_info_sc');

	/* -------------------------------------------------- */
	/*	Notice
	/* -------------------------------------------------- */

	function gb_framework_notice_sc( $atts, $content = null ) {

		$output = '<div class="notification notice">
		        <p>' . $content . '</p>
		        </div>';
		        
		return $output;

	}
	add_shortcode('notice', 'gb_framework_notice_sc');


/* ---------------------------------------------------------------------- */
/*	General
/* ---------------------------------------------------------------------- */

	/* -------------------------------------------------- */
	/*	Divider
	/* -------------------------------------------------- */

	function gb_framework_divider_sc( $atts, $content = null ) {

		$output = '<hr />';
		
		return $output;
	
	}
	add_shortcode('divider', 'gb_framework_divider_sc');

	/* -------------------------------------------------- */
	/*	Divider with text
	/* -------------------------------------------------- */

	function gb_framework_dividertext_sc( $atts, $content = null ) {

		$output = '<div class="row-fluid">
            <div class="section-title">
	            <div class="section-title-back2"><span>'.do_shortcode($content).'</span></div>
	            <div class="section-title-back"></div> 
	          </div>
	          </div>';
	
	return $output;
	
	}
	add_shortcode('dividertext', 'gb_framework_dividertext_sc');

	/* -------------------------------------------------- */
	/*	Button
	/* -------------------------------------------------- */

	function gb_framework_button_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'url'    => '',
			'target' => '_self',
			'size'   => '',
			'color'  => '',
			'align'  => ''
		), $atts ) );

		if( $align != '' )
			$output .= '<div class="align-' . esc_attr( $align ) . '">';
			
		$output .= '<div class="clearfix"></div><a class="button2 ' . esc_attr( $size ) . ' ' . esc_attr( $color ) . '" href="' . esc_url( $url ) . '" target="' . esc_attr( $target ) . '">';


		$output .= $content;


		$output .= '</a>';
		
		if( $align != '' )
			$output .= '</div><div class="clearfix"></div>';

		return $output;
	
	}
	add_shortcode('button', 'gb_framework_button_sc');

	/* -------------------------------------------------- */
	/*	Dropcap
	/* -------------------------------------------------- */

	function gb_framework_dropcap_sc( $atts, $content = null ) {
    
    $content = preg_replace('/^([\<\sa-z\d\/\>]*)(([a-z\&\;]+)|([\"\'\w]))/', '$1<span class="dropcap">$2</span>', $content);
    
		$output = '<div class="clearfix"></div>'.$content.'<div class="clearfix"></div>';
		
		return $output;

	}
	add_shortcode('dropcap', 'gb_framework_dropcap_sc');

	/* -------------------------------------------------- */
	/*	Info box
	/* -------------------------------------------------- */

	function gb_framework_infobox_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'title'  => ''
		), $atts ) );
		
		$output = '<div class="row-fluid">
		<div class="info-box drop-shadow lifted">
			
				<h4>'.do_shortcode($title).'</h4>
				'.do_shortcode($content).'
			
			<div class="clearfix"></div>
		</div>
	  </div>';
	
	  return $output;

	}
	add_shortcode('infobox', 'gb_framework_infobox_sc');

	/* -------------------------------------------------- */
	/*	List
	/* -------------------------------------------------- */

	function gb_framework_list_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'icon'  => ''
		), $atts ) );

		$output = '<div class="clearfix"></div>
		        <div class="align-left2" style="width:20px;"><i class="icon-'.esc_attr($icon).' p-color"></i></div>
		        <div class="align-left2">'.$content.'</div>
		        <div class="clearfix"></div>';
		        
		return $output;

	}
	add_shortcode('list', 'gb_framework_list_sc');

	/* -------------------------------------------------- */
	/*	Quote
	/* -------------------------------------------------- */

	function gb_framework_quote_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'author' => ''
		), $atts ) );

		$output = '<blockquote>';

		$output .= '<p>'.$content.'</p>';

		if( $author )
			$output .= '<small>'.esc_attr($author).'</small>';

		$output .= '</blockquote>';

		return $output;

	}
	add_shortcode('quote', 'gb_framework_quote_sc');
	
	
	
	/* -------------------------------------------------- */
	/*	Icon
	/* -------------------------------------------------- */

	function gb_framework_icon_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'size' => '',
			'color' => ''
		), $atts ) );
		
		$span = '';
		if($size == 1){$span = '';}
		if($size == 2){$span = 'icon-3x';}
		if($size == 3){$span = 'icon-4x';}
		
		$colori = 'p-color';
		if($color == 1){$colori = 'p-color';}
		if($color == 2){$colori = 's-color';}
		if($color == 3){$colori = '';}
		
		$output = '<i class="'.esc_attr($content).' '.$span.' '. $colori.'"></i>';
    
		return $output;

	}
	add_shortcode('icon', 'gb_framework_icon_sc');
	
	
	
	/* -------------------------------------------------- */
	/*	Skill
	/* -------------------------------------------------- */

	function gb_framework_skill_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'percent' => '',
			'color' => '#000000'
		), $atts ) );
		
      $output = '';
			$output .= '<li class="animated">
		    <div class="skill-wrap"><span style="width: '.esc_attr($percent).'%; background:'.$color.';" data-width="'.esc_attr($percent).'"> <strong style="opacity: 1;"><div class="d_text">' . $content . ' - '.esc_attr($percent).'%</div></strong> </span></div>
	    </li>
		';
    
		return $output;

	}
	add_shortcode('skill', 'gb_framework_skill_sc');
	
	// Skills
	function gb_framework_skills_sc( $atts, $content = null ) {
		
		$output = '<ul class="skill_graph">'.do_shortcode( $content ).'</ul><div class="clearfix"></div>';
		
		return $output;
		
	}
	add_shortcode('skills', 'gb_framework_skills_sc');
	
	
	/* -------------------------------------------------- */
	/*	Services box
	/* -------------------------------------------------- */

	function gb_framework_services_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'columns' => '',
			'icon'   => '',
			'style'   => '1',
			'more_title'   => '',
			'more_link'   => '',
			'title'   => ''
		), $atts ) );
		
		$span = '3';
		if($columns == 2){$span = '6';}
		if($columns == 3){$span = '4';}
		if($columns == 4){$span = '3';}
		
		$moreLink = '';
		if($more_link != ''){$moreLink = '<p><a href="'.$more_link.'">'.$more_title.' <i class="icon-chevron-sign-right"></i></a></p>';}

		$output = '';

		if( $style == 1 ){
			$output .= '<!-- Begin service -->
    <div class="span'.esc_attr($span).'"> 
      <div class="services-p1">
        <div class="i-icon-services size3b"><i class="'.esc_attr($icon).' icon-2x icon3"></i></div><br/>
        <h2>'.$title.'</h2>
        <p>'.$content.'</p>
        '.$moreLink.'
      </div>
    </div>
		';
    }
    
    
    if( $style == 4 ){
			$output .= '<!-- Begin service -->
    <div class="span'.esc_attr($span).'"> 
      <div class="feature-services">
				<div class="feature-services-circle"><i class="'.esc_attr($icon).' icon-2x icon4"></i></div>
				<div class="feature-services-description">
					<h4>'.$title.'</h4>
					<p>'.$content.'</p>
					'.$moreLink.'
				</div>
			</div>
    </div>
		';
    }

		return $output;

	}
	add_shortcode('services', 'gb_framework_services_sc');
	
	
	
	/* -------------------------------------------------- */
	/*	How we work box
	/* -------------------------------------------------- */

	function gb_framework_how_work_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'columns' => '',
			'icon'   => '',
			'title'   => ''
		), $atts ) );
		
		$span = '4';
		if($columns == 2){$span = '6';}
		if($columns == 3){$span = '4';}
		if($columns == 4){$span = '3';}
		
      $output = '';
			$output .= '<!-- Begin work one -->
    <div class="span'.esc_attr($span).'"> 
      <div class="about-us1 drop-shadow lifted" align="center">
        <div class="i-icon size5" align="center"><i class="'.esc_attr($icon).' icon-4x icon5"></i></div><br/>
        <h2>'.$title.'</h2>
        <div class="sub-icon"><p>'.$content.'</p></div>
      </div>
    </div>
		';
    
		return $output;

	}
	add_shortcode('how_work', 'gb_framework_how_work_sc');

	

	/* -------------------------------------------------- */
	/*	Accordion Content
	/* -------------------------------------------------- */
	
	
	function gb_framework_accordion_sc( $atts, $content = null ) {

		if( !isset( $GLOBALS['accordion_groups'] ) )
			$GLOBALS['accordion_groups'] = 0;
			
		$GLOBALS['accordion_groups']++;

		$GLOBALS['toggle_content_count'] = 0;

		$toggle_count = 1;
		$countToogle  = 0;

		do_shortcode( $content );

		if( is_array( $GLOBALS['toggle'] ) ) {

			foreach( $GLOBALS['toggle'] as $toggle_content ) {
			
			$countToogle++;
			if($countToogle != 1){$showData = ''; $showDiv = 'height: 0px;';} else{$showData = 'in'; $showDiv = 'height: auto;';}

				$tabs[] = '<!--accordion element -->
			<div class="accordion-group">
			  <div class="accordion-heading">
			    <div class="align-left2">
			    <a class="accordion-toggle" data-toggle="collapse" data-parent="#accordion'.$GLOBALS['accordion_groups'].'" href="#ab'.$countToogle.'' . md5($toggle_content['title']) . '">'.$toggle_content['title'].'</a>
			    </div>
			    <div style="padding-right:10px;padding-top:5px;width:20px;text-align:center;" class="align-right2"><i class="'.$toggle_content['icon'].' icon-color"></i></div>
			    <div class="clearfix"></div>
			  </div>
			  <div style="'.$showDiv.'" id="ab'.$countToogle.''. md5($toggle_content['title']).'" class="accordion-body '.$showData.' collapse">
			    <div class="accordion-inner">
			      '.do_shortcode($toggle_content['content']).'
			    </div>
			  </div>
			 </div>';

			}

			$return = "\n". '<div class="accordion" id="accordion'.$GLOBALS['accordion_groups'].'">' . implode( "\n", $tabs ) . '</div>' . "\n" . '' . "\n";
		}
		
		$GLOBALS['toggle'] = null;

		return $return;

	}
	add_shortcode('accordion', 'gb_framework_accordion_sc');

	// Single toggle
	function gb_framework_toggle_content_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'title' => '',
			'icon' => ''
		), $atts) );

		$i = $GLOBALS['toggle_content_count'];

		$GLOBALS['toggle'][$i] = array( 'title' => sprintf( $title, $GLOBALS['toggle_content_count'] ), 'icon' => sprintf( $icon, $GLOBALS['toggle_content_count'] ), 'content' => $content );

		$GLOBALS['toggle_content_count']++;

	}
	add_shortcode('toggle_content', 'gb_framework_toggle_content_sc');

	
	/* -------------------------------------------------- */
	/*	Content Tabs
	/* -------------------------------------------------- */

	// Tabs container
	function gb_framework_content_tabgroup_sc( $atts, $content = null ) {

		if( !isset( $GLOBALS['tabs_groups'] ) )
			$GLOBALS['tabs_groups'] = 0;
			
		$GLOBALS['tabs_groups']++;

		$GLOBALS['tab_count'] = 0;

		$tabs_count = 0;

		do_shortcode( $content );

		if( is_array( $GLOBALS['tabs'] ) ) {

			foreach( $GLOBALS['tabs'] as $tab ) {
        
        $tabs_count++;
        if($tabs_count == 1){$active = 'class="active"'; $active2 = 'active';} else{$active = ''; $active2 = '';}
				$tabs[] = '<li '.$active.'><a href="#tab-'.$GLOBALS['tabs_groups'].'-'.$tabs_count.'">'.$tab['title'].'</a></li>';
				$panes[] = '<div id="tab-'.$GLOBALS['tabs_groups'].'-'.$tabs_count.'" class="tab-pane '.$active2.'">' . do_shortcode($tab['content']) . '</div>';

			}

			$return = "\n". '<ul class="nav nav-tabs" id="tabs-'.$GLOBALS['tabs_groups'].'">' . implode( "\n", $tabs ) . '</ul>' . "\n" . '<div class="tab-content">'.implode( "\n", $panes ).'</div>
			<script>
     $(\'#tabs-'.$GLOBALS['tabs_groups'].' a\').click(function (e) {
     e.preventDefault();
     $(this).tab(\'show\');
    })
    </script>
			' . "\n";
		}
		
		$GLOBALS['tabs'] = null;

		return $return;

	}
	add_shortcode('tabgroup', 'gb_framework_content_tabgroup_sc');

	// Single tab
	function gb_framework_content_tab_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'title' => ''
		), $atts) );

		$i = $GLOBALS['tab_count'];

		$GLOBALS['tabs'][$i] = array( 'title' => sprintf( $title, $GLOBALS['tab_count'] ), 'content' => $content );

		$GLOBALS['tab_count']++;

	}
	add_shortcode('tab', 'gb_framework_content_tab_sc');

/* ---------------------------------------------------------------------- */
/*	Pricing Table
/* ---------------------------------------------------------------------- */

// Pricing table container
function gb_framework_pricing_table_sc( $atts, $content = null ) {

	extract( shortcode_atts( array(
		'column_count'    => '4',
		'type'            => '1',
		'title'           => '',
		'price'           => '',
		'period'          => '',
		'sign_up_title'   => '',
		'sign_up_url'     => ''
	), $atts) );
	
	do_shortcode( $content );

	$span = '4';
	if($column_count == 2){$span = '6';}
	if($column_count == 3){$span = '4';}
	if($column_count == 4){$span = '3';}
	
	$typep = '';
	if($type == 1){$typep = '';}
	if($type == 2){$typep = 'most-popular';}
	
	if($sign_up_title != ''){$signUp = '<ul><li><a href="'.$sign_up_url.'" class="button2 small orange">'.$sign_up_title.'</a></li></ul>';}
	else{$signUp = '';}
		
      $output = '';
			$output .= '<!-- Begin price column -->
      <div class="span'.esc_attr($span).'"> 
      <div class="pricing">
      <div class="price-plan '.$typep.'">
        <h2>' . $title . '</h2>
        <div class="price">
          <div class="inside"> <span class="amt">'.$price.'</span> <span class="sub">/'.$period.'</span> </div>
        </div>
        <div class="info">
          ' . $content . '
          '.$signUp.'
        </div>
      </div>
    </div>
    </div>
		';


	return $output;
	

}
add_shortcode('pricing_table', 'gb_framework_pricing_table_sc');



/* ---------------------------------------------------------------------- */
/*	HTML5 Video
/* ---------------------------------------------------------------------- */
function gb_framework_video_sc( $atts ) {

	extract( shortcode_atts( array(
		'mp4'          => '',
		'webm'         => '',
		'ogg'          => '',
		'track'        => '',
		'poster'       => '',
		'aspect_ratio' => '1.7',
		'preload'      => false,
		'autoplay'     => false,
	), $atts ) );

	global $post;

	if ( $mp4 )
		$mp4 = '<source src="'.$mp4.'" type="video/mp4" />';

	if ( $webm )
		$webm = '<source src="'.$webm.'" type="video/webm" />';

	if ( $ogg )
		$ogg = '<source src="'.$ogg.'" type="video/ogg" />';

	if ( $track)
		$track = '<track kind="subtitles" src="'.$track.'" srclang="en" label="English">';

	if ( $poster)
		$poster = ' poster="'.$poster.'"';

	if ( $preload )
		$preload = 'preload="'.$preload.'"';

	if ( $autoplay )
		$autoplay = 'autoplay';

	$output = "<video id='video-js-id-$post->ID' class='video-js vjs-default-skin' width='100%' controls {$preload} {$autoplay} {$poster} data-aspect-ratio='{$aspect_ratio}'>
			{$mp4}
			{$webm}
			{$ogg}
			{$track}
		</video>";

	return $output;

}
add_shortcode('video', 'gb_framework_video_sc');

/* ---------------------------------------------------------------------- */
/*	HTML5 Audio
/* ---------------------------------------------------------------------- */
function gb_framework_audio_sc( $atts ) {

	extract( shortcode_atts( array(
		'mp3'      => '',
		'ogg'      => '',
		'width'    => '',
		'height'   => '',
		'preload'  => false,
		'autoplay' => false,
	), $atts ) );

	global $post;

	if ( $mp3 )
		$mp3 = '<source src="'.$mp3.'" type="audio/mp3" />';

	if ( $ogg )
		$ogg = '<source src="'.$ogg.'" type="audio/ogg" />';

	if ( $preload )
		$preload = 'preload="'.$preload.'"';

	if ( $autoplay )
		$autoplay = 'autoplay';

	$output = "<audio id='AudioPlayerV1-id-$post->ID' class='AudioPlayerV1' width='100%' height='29' controls {$preload} {$autoplay} >
					{$mp3}
					{$ogg}
				</audio>";

	return $output;

}
add_shortcode('audio', 'gb_framework_audio_sc');

/* ---------------------------------------------------------------------- */
/*	Template Tags
/* ---------------------------------------------------------------------- */

	/* -------------------------------------------------- */
	/*	Post
	/* -------------------------------------------------- */

	function gb_framework_post_sc( $atts ) {

		$atts = extract( shortcode_atts( array(
			'columns'      => '',
			'limit'        => 3
		), $atts ) );
		
		$span = '3';
		if($columns == 2){$span = '6';}
		if($columns == 3){$span = '4';}
		if($columns == 4){$span = '3';}

		$args = array('posts_per_page' => esc_attr( $limit ),
					  'post_type'      => 'post',
					  'order'          => 'DESC',
					  'orderby'        => 'date',
					  'post_status'    => 'publish'
				  );

		query_posts( $args );

		if( have_posts() ):

			$output = '';
            $i = 0;
			while( have_posts() ): the_post();
			$i++;
			
			if (has_post_thumbnail( $post->ID )){
		      $postImage = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
		  }else{
		      $postImage = ''.get_template_directory_uri().'/images/no_img_blog.jpg';
		  }
		  
		  $permalink  = get_permalink( $post->ID );
		  $time       = get_the_date( '', $post->ID );
		  $author     = get_the_author($post->ID);
		  $postTitle  = get_post_field('post_title', $post->ID);
		  
		  $iconPost = 'icon-file-text';
		  if(get_post_format($post->ID) == 'audio'){$iconPost    = 'icon-music';}
		  if(get_post_format($post->ID) == 'gallery'){$iconPost  = 'icon-picture';}
		  if(get_post_format($post->ID) == 'link'){$iconPost     = 'icon-link';}
		  if(get_post_format($post->ID) == 'quote'){$iconPost    = 'icon-quote-right';}
		  if(get_post_format($post->ID) == 'video'){$iconPost    = 'icon-film';}
		  if(get_post_format($post->ID) == 'image'){$iconPost    = 'icon-picture';}

			if($i%$columns==0){$tr = '</div><div class="row-fluid">';} else{$tr = '';}
			$output .= '<!-- Begin blog one -->
      <div class="span'.$span.'"> 
      <div class="blog-last drop-shadow lifted">
        <div class="blog-last-img"><img src="'.$postImage.'" alt="'.$postTitle.'" /></div>
        
        <a href="'.$permalink.'" title="'.$postTitle.'"><h2>'.$postTitle.'</h2></a>
        <p>'.__('by','gb_framework').' '.$author.' on '.$time.'</p>
      </div>
      </div>
	  '.$tr.'';
				
			endwhile;

		endif;

		wp_reset_query();

		return $output;

	}
	add_shortcode('post', 'gb_framework_post_sc');

	/* -------------------------------------------------- */
	/*	Testimonials
	/* -------------------------------------------------- */

	function gb_framework_testimonials_sc( $atts ) {

		$atts = extract( shortcode_atts( array(
			'limit'        => 10
		), $atts ) );

		global $post;

		$args = array('post_type'      => 'testimonials',
					  'posts_per_page' => esc_attr( $limit ),
					  'order'          => 'DESC',
					  'orderby'        => 'date',
					  'post_status'    => 'publish'
				  );
		
		query_posts( $args );

		if( have_posts() ) {

			$output = '';

			$output .= '<ul id="bxslidertest" class="bxslider">';

			while( have_posts() ) {
			
				the_post();

				$output .= '<li>';
				
				$output .= '<div class="testimonial">
        '.get_post_meta($post->ID, 'isc_content_testimonials', true).'
        </div>
        <div class="arrow-down"></div>
        
        <p class="testimonial-author">'.get_post_meta($post->ID, 'isc_name_testimonials', true).' <span>'.get_post_meta($post->ID, 'isc_company_testimonials', true).'</span></p>
        
        <div class="clearfix"></div>';

				$output .= '</li><!-- end testimonial -->';

			}

			$output .= '</ul><!-- end --><div class="clearfix"></div>';

		}

		wp_reset_query();

		return '<div class="testimonialanim">'.$output.'</div>';

	}
	add_shortcode('testimonials', 'gb_framework_testimonials_sc');

	/* -------------------------------------------------- */
	/*	Portfolio
	/* -------------------------------------------------- */

	function gb_framework_portfolio_sc( $atts ) {

		$atts = extract( shortcode_atts( array(
			'columns'    => '',
			'limit'      => -1
		), $atts ) );
		
		$span = '4';
		if($columns == 2){$span = '6';}
		if($columns == 3){$span = '4';}
		if($columns == 4){$span = '3';}

		global $post;
		
		$args = array('post_type'      => 'project',
					  'posts_per_page' => esc_attr( $limit ),
					  'order'          => 'DESC',
					  'orderby'        => 'date',
					  'post_status'    => 'publish'
				  );
		
			
		query_posts( $args );

		if( have_posts() ) :

			$output = '';
            $i = 0;
			while ( have_posts() ) : the_post();
			$i++;

				$image        = get_post_meta($post->ID, 'isc_image1', true);
				$image_video  = get_post_meta($post->ID, 'isc_image_video', true); 
				
				if(!empty($image) or !empty($image_video)) {
					  if(!empty($image)) { 
					      $finalImg = $image;  $finalLink = $image;
					  }else{
					      $finalImg = $image_video;
					  }
			  }else{
				    $finalImg = ''.get_template_directory_uri().'/images/no_img_p.jpg';
			  }
			  
			  $title_slide  = get_post_field('post_title', $post->ID);
			  $permalink    = get_permalink( $post->ID );
			  
			  $terms = get_the_terms($post->id,"tagportifolio");
			   $project_categories_title = NULL;
			   $project_categories = NULL;
			   
			   if ( !empty($terms) ){
			     foreach ( $terms as $term ) {
			       $project_categories .= strtolower($term->slug) . ' ';
			       $project_categories_title .= $term->name . ' ';
			     }
			   }
		if($i%$columns==0){$tr = '</div><div class="row-fluid">';} else{$tr = '';}		
	  $output .= '<!-- Begin portfolio one -->
    <div class="span'.$span.' portfolio-item"> 
      <div class="portfolio_div" style="margin-bottom:30px;">
					<ul id="da-thumbs" class="da-thumbs">
					<li>
						<a href="'.$permalink.'">
							<img src="'.$finalImg.'" alt="'.$title_slide.'" />
							<div><span>'.$title_slide.'</span>
							<i>'.__('Project Details','gb_framework').'</i>
							</div>
							 
						</a>
					</li>
					</ul>
				
				</div>
	  <div class="clearfix"></div>
    </div>
	'.$tr.'
		';	

			endwhile;

			wp_reset_query();

		endif;

		return $output;

	}
	add_shortcode('portfolio', 'gb_framework_portfolio_sc');

	/* -------------------------------------------------- */
	/*	Slider content
	/* -------------------------------------------------- */

	function gb_framework_slide_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'caption' => ''
		), $atts ) );
		
		if($caption != ''){$titleImg = 'title="' . esc_attr( $caption ) . '"';}
		else{$titleImg = '';}
      $output = '';
			$output .= '<li><img src="' . $content . '" alt="" '.$titleImg.' /></li>
		';
    
		return $output;

	}
	add_shortcode('slide', 'gb_framework_slide_sc');
	
	// Slider
	function gb_framework_slider_sc( $atts, $content = null ) {
		
		$atts = extract( shortcode_atts( array(
			'style'    => 1
		), $atts ) );
		
		if($style == 2){
		    $slideHeader = '</div><!-- Row page --> </div><!-- Content page --></section><!-- Wrap page --><!--Info Slide --><section id="wrap-slide2">';
		    $slideFooter = '</section><!-- Part 1: Wrap all page content here --><section id="wrap-after"><!-- Begin page content --><div class="container "><div class="row-fluid">';
		}else{
		    $slideHeader = '<div class="boxslide">';
		    $slideFooter = '</div>';
		}
		
		$output = ''.$slideHeader.'
		<ul class="bx-wrapper contentslide">';
		
		$output .= ''.do_shortcode( $content ).'';
		
		$output .= '
		</ul>
		'.$slideFooter.'';
		
		return $output;
		
	}
	add_shortcode('slider', 'gb_framework_slider_sc');
	


	/* -------------------------------------------------- */
	/*	Team Member
	/* -------------------------------------------------- */

	function gb_framework_team_member_sc( $atts, $content = null ) {

		extract( shortcode_atts( array(
			'column'        => '4'
		), $atts ) );
		
		$span = '4';
		if($column == 2){$span = '6';}
		if($column == 3){$span = '4';}
		if($column == 4){$span = '3';}

		global $post;

		$args = array('post_type'      => 'team',
					  'posts_per_page' => '5',
					  'order'          => 'DESC',
					  'orderby'        => 'date',
					  'post_status'    => 'publish'
				  );

		$social_links = array('isc_fb_team', 'isc_tw_team', 'isc_li_team', 'isc_gp_team', 'isc_pi_team');

		query_posts( $args );
    
    $output = '';
	$i = 0;
		if( have_posts() ) while ( have_posts() ) : the_post();
		$i++;

				if( has_post_thumbnail() ) {
					$image = wp_get_attachment_url( get_post_thumbnail_id($post->ID) );
				}else{
				  $image = ''.get_template_directory_uri().'/images/no_user.png';
				}
				
				if(get_post_meta($post->ID, 'isc_fb_team', true) != ''){$facebook = '<div class="social_div"><a href="'.get_post_meta($post->ID, 'isc_fb_team', true).'" class="facebook"><i class="icon-facebook icon-1x"></i></a></div> ';}
				else{$facebook = ' ';}
				if(get_post_meta($post->ID, 'isc_tw_team', true) != ''){$twitter = '<div class="social_div"><a href="'.get_post_meta($post->ID, 'isc_tw_team', true).'" class="twitter"><i class="icon-twitter icon-1x"></i></a></div> ';}
				else{$twitter = ' ';}
				if(get_post_meta($post->ID, 'isc_li_team', true) != ''){$linkedin = '<div class="social_div"><a href="'.get_post_meta($post->ID, 'isc_li_team', true).'" class="linkedin"><i class="icon-linkedin icon-1x"></i></a></div> ';}
				else{$linkedin = ' ';}
				if(get_post_meta($post->ID, 'isc_gp_team', true) != ''){$google = '<div class="social_div"><a href="'.get_post_meta($post->ID, 'isc_gp_team', true).'" class="google"><i class="icon-google-plus icon-1x"></i></a></div> ';}
				else{$google = ' ';}
				if(get_post_meta($post->ID, 'isc_pi_team', true) != ''){$pinterest = '<div class="social_div"><a href="'.get_post_meta($post->ID, 'isc_pi_team', true).'" class="pinterest"><i class="icon-pinterest icon-1x"></i></a></div> ';}
				else{$pinterest = ' ';}
                
				if($i%$column==0){$tr = '</div><div class="row-fluid">';} else{$tr = '';}
				$output .= '<!-- Begin work one -->
        <div class="span'.$span.' "> 
          <div class="team-code drop-shadow lifted">
            <div class="team-code-img"><img src="'.$image.'" alt="" /></div>
            <h2>'.get_post_field('post_title', $post->ID).'</h2>
            <div class="sub-icon-team">
              <p>'.get_post_meta($post->ID, 'isc_job_team', true).'</p>
              <p>'.get_post_field('post_content', $post->ID).'</p>
              '.$facebook.'
              '.$twitter.'
              '.$linkedin.'
              '.$google.'
              '.$pinterest.'
			  <div class="clearfix"></div>
            </div>
          </div>
        </div>
		'.$tr.'';

		endwhile;

		wp_reset_query();

		return $output;

	}
	add_shortcode('team_member', 'gb_framework_team_member_sc');
	
	
	/* -------------------------------------------------- */
	/*	Clients
	/* -------------------------------------------------- */

	function gb_framework_clients_sc( $atts ) {

		$atts = extract( shortcode_atts( array(
			'limit'        => 6,
			'columns'        => ''
		), $atts ) );
		
		$span = '2';
		if($columns == 2){$span = '6';}
		if($columns == 3){$span = '4';}
		if($columns == 4){$span = '3';}
		if($columns == 6){$span = '2';}

		global $post;

		$args = array('post_type'      => 'clients',
					  'posts_per_page' => esc_attr( $limit ),
					  'order'          => 'DESC',
					  'orderby'        => 'date',
					  'post_status'    => 'publish'
				  );
		
		query_posts( $args );

		if( have_posts() ) {

			$output = '';
			
			$output .= '';
            $i = 0;
			while( have_posts() ) {
			$i++;
			
				the_post();
        
        $nameClient    = get_post_meta($post->ID, 'isc_name_clients', true);
        $imgClient     = get_post_meta($post->ID, 'isc_image_clients', true);
        $urlClient     = get_post_meta($post->ID, 'isc_url_clients', true);
        if($urlClient != ''){$finalClient = '<a href="'.$urlClient.'" title="'.$nameClient.'"><img src="'.$imgClient.'" alt="'.$nameClient.'" /></a>';}
        else{$finalClient = '<img src="'.$imgClient.'" alt="'.$nameClient.'" />';}

				if($i%$columns==0){$tr = '</div><div class="row-fluid">';} else{$tr = '';}
				$output .= '<div class="span'.$span.'"> ';
					
					$output .= '<div class="imgclient">'.$finalClient.'</div>';

				$output .= '</div><!-- end client -->
				'.$tr.'';

			}
			
			$output .= '';

		}

		wp_reset_query();

		return $output;

	}
	add_shortcode('clients', 'gb_framework_clients_sc');

/* ---------------------------------------------------------------------- */
/*	Misc
/* ---------------------------------------------------------------------- */

	/* -------------------------------------------------- */
	/*	Animated Content
	/* -------------------------------------------------- */

	function gb_framework_animated_content_sc( $atts, $content = null ) {
		
		$output = '<div class="animate-content">
                 <div class="row-fluid">
                   '.do_shortcode($content).'
                 </div>
               </div>';

		return $output;

	}
	add_shortcode('animated_content', 'gb_framework_animated_content_sc');
	
	/* -------------------------------------------------- */
	/*	Fullwidth Content
	/* -------------------------------------------------- */

	function gb_framework_fullwidth_content_sc( $atts, $content = null ) {
    
    extract( shortcode_atts( array(
			'background'            => ''
		), $atts ) );
		
		$output = '</div><!-- Row page -->
		           </div><!-- Content page -->
               </section><!-- Wrap page -->
               <section style="background:'.$background.';" class="isboxed drop-shadow lifted">
                 <div id="wrap-after">
                 <div class="container"><div class="row-fluid">'.do_shortcode($content).'</div></div>
                 </div>
               </section>
               <div class="clearfix"></div>
               <!-- Part 1: Wrap all page content here -->
               <section id="wrap-after">
               <!-- Begin page content -->
               <div class="container">
	             <div class="row-fluid">
               ';

		return $output;

	}
	add_shortcode('fullwidth', 'gb_framework_fullwidth_content_sc');
	
	/* -------------------------------------------------- */
	/*	Fullwidth Map
	/* -------------------------------------------------- */

	function gb_framework_fullwidth_map_content_sc( $atts, $content = null ) {
		
		$output = '</div><!-- Row page -->
		           </div><!-- Content page -->
               </section><!-- Wrap page -->
               <section id="wrap-slide2"  class="whiteback drop-shadow lifted">
                 <div style="margin-top:-38px;">
                 <div class="row-fluid">'.do_shortcode($content).'</div>
                 </div>
               </section>
               <div class="clearfix"></div>
               <!-- Part 1: Wrap all page content here -->
               <section id="wrap-after">
               <!-- Begin page content -->
               <div class="container">

	             <div class="row-fluid">
               ';

		return $output;

	}
	add_shortcode('fullwidth_map', 'gb_framework_fullwidth_map_content_sc');

	

/* ---------------------------------------------------------------------- */
/*	TinyMCE Buttons
/* ---------------------------------------------------------------------- */

function add_shortcodes_button() {

	if ( !current_user_can('edit_posts') && !current_user_can('edit_pages') )
		return;

	if ( get_user_option('rich_editing') == 'true' ) {
		add_filter('mce_external_plugins', 'add_shortcodes_tinymce_plugin');
		add_filter('mce_buttons', 'register_shortcodes_button');
	}

}
add_action('init', 'add_shortcodes_button');

function register_shortcodes_button( $buttons ) {

	array_push( $buttons, '|', 'gb_framework_shortcodes' );

	return $buttons;

}

function add_shortcodes_tinymce_plugin( $plugin_array ) {

	$plugin_array['gb_framework_shortcodes'] = GB_BASE_URL . 'functions/tinymce/tinymce.js';

	return $plugin_array;

}

function my_refresh_mce( $ver ) {

	$ver += 3;

	return $ver;

}
add_filter('tiny_mce_version', 'my_refresh_mce');